fitted.fixest {fixest} | R Documentation

## Extracts fitted values from a `fixest` fit

### Description

This function extracts the fitted values from a model estimated with `femlm`, `feols` or `feglm`. The fitted values that are returned are the expected predictor.

### Usage

    ## S3 method for class 'fixest'
    fitted(object, type = c("response", "link"), ...)

    ## S3 method for class 'values.fixest'
    fitted(object, type = c("response", "link"), ...)

### Arguments

`object` | A `fixest` object. Obtained using the functions `femlm`, `feols` or `feglm`.
`type` | Character either equal to `"response"` (default) or `"link"`. If `type="response"`, then the output is at the level of the response variable, i.e. it is the expected predictor E(Y|X). If `"link"`, then the output is at the level of the explanatory variables, i.e. the linear predictor X\cdot β.
`...` | Not currently used.

### Details

This function returns the expected predictor of a `fixest` fit. The likelihood functions are detailed in `femlm` help page.

### Value

It returns a numeric vector of length the number of observations used to estimate the model.

If `type = "response"`, the value returned is the expected predictor, i.e. the expected value of the dependent variable for the fitted model: E(Y|X). If `type = "link"`, the value returned is the linear predictor of the fitted model, that is X\cdot β (remind that E(Y|X) = f(X\cdot β)).

### Author(s)

Laurent Berge

### See Also

See also the main estimation functions `femlm`, `feols` or `feglm`. `resid.fixest`, `predict.fixest`, `summary.fixest`, `vcov.fixest`, `fixef.fixest`.

### Examples

    # simple estimation on iris data, clustering by "Species"
    res_poisson = femlm(Sepal.Length ~ Sepal.Width + Petal.Length +
                        Petal.Width | Species, iris)

    # we extract the fitted values
    y_fitted_poisson = fitted(res_poisson)

    # Same estimation but in OLS (Gaussian family)
    res_gaussian = femlm(Sepal.Length ~ Sepal.Width + Petal.Length +
                        Petal.Width | Species, iris, family = "gaussian")

    y_fitted_gaussian = fitted(res_gaussian)

    # comparison of the fit for the two families
    plot(iris$Sepal.Length, y_fitted_poisson)
    points(iris$Sepal.Length, y_fitted_gaussian, col = 2, pch = 2)

[Package fixest version 0.1.0 Index]